/* Services Section */
        .services {
            padding: 100px 5%;
            background-color: rgba(20, 20, 20, 0.7);
            text-align: center;
        }

        .services-grid {
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            gap: 30px;
            margin-top: 50px;
            max-width: 1200px;
            margin-left: auto;
            margin-right: auto;
        }

        .service-card {
            background-color: rgba(30, 30, 30, 0.7);
            padding: 30px;
            border-radius: 10px;
            transition: transform 0.3s ease, box-shadow 0.3s ease;
            text-align: center;
            width: calc(33.33% - 20px);
            max-width: 350px;
            margin-bottom: 20px;
        }

        @media (max-width: 1200px) {
            .service-card {
                width: calc(50% - 20px);
                max-width: 400px;
            }
        }
        
        @media (max-width: 768px) {
            .service-card {
                width: 100%;
                max-width: 450px;
            }
        }

        .service-card:hover {
            transform: translateY(-10px);
            box-shadow: 0 15px 30px rgba(166, 74, 255, 0.2);
        }

        .service-icon {
            font-size: 40px;
            color: #a64aff;
            margin-bottom: 20px;
            display: inline-block;
        }

        .service-title {
            font-size: 24px;
			margin-top: 15px;
            margin-bottom: 15px;
			line-height: 1.5;
            text-align: center;
            background: linear-gradient(to right, #f92dda, #6a48d2);
            -webkit-background-clip: text;
            background-clip: text;
            color: transparent;
            display: inline-block;
        }

        .service-description {
            line-height: 1.5;
            text-align: center;
        }